curl --request GET \
--url https://b.anny.co/api/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "account-connection",
"connectedPerson": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"profileImage": {
"small_path": "<string>",
"color": "<string>"
}
},
"permittedScopes": {
"read_bookings": "granted",
"edit_bookings": "granted",
"book_on_behalf": "granted",
"receive_notifications": "granted"
},
"accessibleScopes": {
"read_bookings": "requested",
"edit_bookings": "requested",
"book_on_behalf": "requested",
"receive_notifications": "requested"
},
"hasIncomingRequest": true,
"hasOutgoingRequest": true,
"grantedScopesSummary": {},
"accountConnection": {
"id": 123
},
"incomingConnectionRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": [
"<string>"
]
},
"outgoingConnectionRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": [
"<string>"
]
},
"isNewConnection": true
}
]List all connections
Retrieve all connections for the authenticated customer account. Returns connected persons along with their granted and accessible scopes.
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Header
Bearer Token
Antwort
OK
UUID of this connection
The other person in this connection
Show child attributes
Show child attributes
Scopes you have granted to the connected person (granted or declined)
Show child attributes
Show child attributes
Scopes you have requested from the connected person (requested, granted, or declined)
Show child attributes
Show child attributes
Whether there is a pending incoming connection request from this person
Whether there is a pending outgoing connection request to this person
Human-readable summary of the current granted scopes
Show child attributes
Show child attributes
Internal connection record reference
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether this connection was just created